<?php
//require __DIR__."./../phpJasperXML_2.0.1/autoload.php";
require_once("./../phpJasperXML_2.0.1/autoload.php");

use simitsdk\phpjasperxml\PHPJasperXML;

$filename = __DIR__."/tituloTaco.jrxml";

// read parameters
$id_derecho_Propietario = $_SESSION['id_derecho_Propietario'] ; 	// invoice identification to obtain

// Read record
$data = array();
$rs = DB::Query("


SELECT
	d_p.id_derecho_Propietario,
	LPAD( d_p.id_derecho_Propietario, 5, 0000 ) AS id_derecho_Propietario2,
	d_p.nro_Partido,
	d_p.nro_Folio,
	g.nombre AS gestion,
	e.nombre AS Empresa,
	e.nit,
	e.matricula_Comercio,
	e.capital_Autorizado,
	e.capital_Pagado,
	e.lugar_Constitucion,
	e.fecha_Constitucion,
	e.duracion,
	e.domicilio,
	g.presidente,
	g.director_Secretario,
	g.sindico,
	g.numero_Acciones,
	g.valor_Nominal,
	d_p.nro_Titulo,
	d_p.nro_Acciones,
	d_p.fecha_Emision,
CASE
		MONTH ( d_p.fecha_Emision ) 
		WHEN 1 THEN
		'Enero' 
		WHEN 2 THEN
		'Febrero' 
		WHEN 3 THEN
		'Marzo' 
		WHEN 4 THEN
		'Abril' 
		WHEN 5 THEN
		'Mayo' 
		WHEN 6 THEN
		'Junio' 
		WHEN 7 THEN
		'Julio' 
		WHEN 8 THEN
		'Agosto' 
		WHEN 9 THEN
		'Septiembre' 
		WHEN 10 THEN
		'Octubre' 
		WHEN 11 THEN
		'Noviembre' 
		WHEN 12 THEN
		'Diciembre' 
	END mes,
	CONCAT(
		'Sacaba ',
		DAY ( d_p.fecha_Emision ),
		' de ',
	CASE
			MONTH ( d_p.fecha_Emision ) 
			WHEN 1 THEN
			'Enero' 
			WHEN 2 THEN
			'Febrero' 
			WHEN 3 THEN
			'Marzo' 
			WHEN 4 THEN
			'Abril' 
			WHEN 5 THEN
			'Mayo' 
			WHEN 6 THEN
			'Junio' 
			WHEN 7 THEN
			'Julio' 
			WHEN 8 THEN
			'Agosto' 
			WHEN 9 THEN
			'Septiembre' 
			WHEN 10 THEN
			'Octubre' 
			WHEN 11 THEN
			'Noviembre' 
			WHEN 12 THEN
			'Diciembre' 
		END,
		' del ',
		YEAR ( d_p.fecha_Emision ) 
	) AS lf,
	
	
		CONCAT(UCASE(LEFT(lower (c_a.nombre), 1)), SUBSTRING(lower (c_a.nombre), 2)) AS clase_accion ,
	
		CONCAT(UCASE(LEFT(lower (s_a.nombre), 1)), SUBSTRING(lower (s_a.nombre), 2))  AS serie_acciones,
	
	e_p.nombre AS estado_pago,
	t_a.nombre AS tipo_acciones,
	gr.nombre AS gravamen,
	d_p.fecha_Inscripcion,
	lower( d_p.nro_Acciones_Literal ) AS nro_Acciones_literal,
	CONCAT(
		s.apellido_Paterno,
		' ',
		s.apellido_Materno,
		' ',
		s.apellido_Casada,
		' ',
		rtrim( s.nombres ),
		' ',
		'con CI: ',
		s.ci,
		' ',
		com.alias 
	) AS accionistas 
FROM
	socio AS s
	INNER JOIN derecho_propietario AS d_p ON s.id_dp = d_p.id_derecho_Propietario
	INNER JOIN gestion AS g ON d_p.gestion = g.id_Gestion
	INNER JOIN empresa AS e ON g.id_Empresa = e.id_Empresa
	INNER JOIN aux AS com ON s.ci_procedencia = com.id_aux
	INNER JOIN aux AS s_a ON d_p.serie_Acciones = s_a.id_aux
	INNER JOIN aux AS e_p ON d_p.estado_Pago = e_p.id_aux
	INNER JOIN aux AS t_a ON d_p.tipo_Acciones = t_a.id_aux
	INNER JOIN aux AS gr ON d_p.gravamen = gr.id_aux
	INNER JOIN aux AS c_a ON d_p.clase_Acciones = c_a.id_aux 


	where id_derecho_Propietario = $id_derecho_Propietario  AND  s.tipo_accionista= 29 
");
while( $row= $rs->fetchAssoc() )
{
$data[] = $row;
}
$config = [
    'driver'=>'array',
    'data'=> $data
];
$parameters = [];


$type = 'Pdf';
$fileOutput= '';
$creator = 'bi-softnet';
$author = 'xbi-softnet@gmail.com';
$title = 'Titulo Accionario Cara';
$keywords = 'PHP';
$format_intl = 'es_ES';

// $temp_file = tempnam(sys_get_temp_dir(), 'pdf');  // Create file temporal
// $fileOutput = $temp_file;

$report = new PHPJasperXML();
$report->load_xml_file($filename)    
    ->setParameter($parameters)
    ->setDataSource($config)
    ->export($type,$fileOutput,$title,$creator,$author,$keywords,$format_intl);

?>
